Machines
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/join-tokens"{ "tokens": [ { "id": "string", "createdAt": "string", "createdBy": "string", "expiresAt": "string", "maxJoins": 0, "joinCount": 0, "lastUsedAt": "string", "revokedAt": "string" } ]}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/join-tokens"{ "joinToken": "string", "controlPlaneUrl": "http://example.com", "clusterId": "string", "token": { "id": "string", "createdAt": "string", "createdBy": "string", "expiresAt": "string", "maxJoins": 0, "joinCount": 0, "lastUsedAt": "string", "revokedAt": "string" }, "cliInstallScriptUrl": "http://example.com", "cliCommandName": "string"}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/join-tokens/rotate"{ "joinToken": "string", "controlPlaneUrl": "http://example.com", "clusterId": "string", "token": { "id": "string", "createdAt": "string", "createdBy": "string", "expiresAt": "string", "maxJoins": 0, "joinCount": 0, "lastUsedAt": "string", "revokedAt": "string" }, "cliInstallScriptUrl": "http://example.com", "cliCommandName": "string"}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$1 <= lengthQuery Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/join-tokens/string"{ "tokenId": "string", "revoked": true}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/inventory"{ "machines": [ { "machineId": "string", "status": "string", "capacityGroup": "string", "zone": "string", "cpu": { "allocated": 0, "systemReserve": 0, "total": 0 }, "memory": { "allocated": 0, "systemReserve": 0, "total": 0 }, "storage": { "allocated": 0, "systemReserve": 0, "total": 0 }, "drainBlockers": [ { "reason": "string", "workloadId": "string", "workloadName": "string", "replicaId": "string", "schedulingMode": "string", "state": "string" } ], "drainDeadlineAt": "string", "drainForce": true, "drainRequestedAt": "string", "drainedAt": "string", "publicIp": "string", "overlayIp": "string", "lastHeartbeat": "string", "horizondVersion": "string", "networkHealth": "unknown", "wireguardMesh": { "expectedPeerCount": 0, "reachablePeerCount": 0, "missingPeerMachineIds": [ "string" ] }, "wireguardMeshObservedAt": "string", "localOverrides": [ { "activeDigest": "string", "actor": "string", "baseAssignmentHash": "string", "baseDigest": "string", "candidateDigest": "string", "createdAt": "string", "failureCategory": "string", "fallbackDigest": "string", "forcedStop": true, "healthySince": "string", "incidentId": "string", "lifecycle": "string", "phaseStartedAt": "string", "replicaId": "string", "workloadName": "string" } ], "localOverridesObservedAt": "string", "replicaCount": 0 } ]}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$1 <= lengthQuery Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/machines/string/drain" \ -H "Content-Type: application/json" \ -d '{}'{ "machineId": "string", "requested": true}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$1 <= lengthQuery Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/machines/string/drain"{ "machineId": "string", "cancelled": true}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$1 <= lengthQuery Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/machines/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/machines/string"{ "machineId": "string", "removed": true}